### AUTOUPDATE-OFF: 0
Name:          bash-completion
Version:       2.1
Release:       4mamba
Epoch:         1
Summary:       Programmable completion for bash
Group:         Applications/Shells
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://bash-completion.alioth.debian.org
Source:        http://bash-completion.alioth.debian.org/files/bash-completion-%{version}.tar.bz2
Patch0:        %{name}-1.2-rpm-630328.patch
Patch1:        bash-completion-2.1-bash-4.3.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      bash
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
bash-completion is a collection of shell functions that take advantage of the programmable completion feature of bash 2.04 and later.

%prep
%setup -q
#%patch -p1
%patch1 -p1

%build
%configure
%make
# bash_completion.sh

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
install -d %{buildroot}%{_sysconfdir}/profile.d
install -m644 bash_completion.sh %{buildroot}%{_sysconfdir}/profile.d/
#install -m644 bash_completion %{buildroot}%{_sysconfdir}/

# provided in udev since 198
rm -f %{buildroot}%{_datadir}/bash-completion/completions/udevadm

# provided in NetworkManager
rm -f %{buildroot}%{_datadir}/bash-completion/completions/nmcli

# provided in util-linux
rm -f %{buildroot}%{_datadir}/bash-completion/completions/\
{cal,dmesg,eject,hexdump,ionice,hwclock,ionice,look,renice,rtcwake,su}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/profile.d/bash_completion.sh
#%dir %{_sysconfdir}/bash_completion.d
%dir %{_datadir}/bash-completion
%{_datadir}/bash-completion/bash_completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/*
%dir %{_datadir}/bash-completion/helpers
%{_datadir}/bash-completion/helpers/perl
%{_datadir}/pkgconfig/bash-completion.pc
%doc AUTHORS COPYING
#%doc CHANGES README

%changelog
* Mon May 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-4mamba
- patch against bash 4.3 (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=741479)

* Mon Apr 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-3mamba
- remove completion files conflicting with util-linux since 2.23

* Mon Apr 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1-2mamba
- remove nmcli completion already provided by NetworkManager

* Sun Apr 14 2013 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- update to 2.1

* Sun Mar 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-2mamba
- remove udevadm completion file provided by udev >= 198

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- update to 2.0

* Thu May 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99-1mamba
- update to 1.99

* Thu Aug 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- update to 1.3

* Wed Feb 02 2011 Davide Madrisan <davide.madrisan@gmail.com> 1.2-1mamba
- update url
- remove files not applicable to openmamba
- add upstream patch for rpm

* Tue Feb 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 20060301-3mamba
- remove unuseful %dir to fix a self installation loop

* Fri Sep 26 2008 Silvan Calarco <silvan .calarco@mambasoft.it> 20060301-2mamba
- fix installation of /etc/bash_completion
- add bash_completion.sh in /etc/profile.d
- install contrib file in /etc/bash_completion.d

* Tue Sep 23 2008 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 20060301-1mamba
- package created by autospec
